--
-- $Id$
--
-- Generieke import AAFM Medewerkers aanpassen.

DEFINE thisfile = 'AAFM#56947.SQL'
DEFINE dbuser   = '^AA|^AQQA|^ASMS|^GULU|^NMMS|^RABO|^ZKHM|^INLO|^EXPO|^SMKA'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

UPDATE fac_groep SET fac_groep_omschrijving = 'HEYDAY Medewerker'
 WHERE fac_groep_upper = 'AAFM MEDEWERKER'
   AND NOT EXISTS (SELECT fac_groep_key FROM fac_groep WHERE fac_groep_upper = 'HEYDAY MEDEWERKER');

UPDATE fac_groep SET fac_groep_omschrijving = 'HEYDAY Servicedesk'
 WHERE fac_groep_upper = 'AAFM SERVICEDESK'
   AND NOT EXISTS (SELECT fac_groep_key FROM fac_groep WHERE fac_groep_upper = 'HEYDAY SERVICEDESK');

UPDATE fac_groep SET fac_groep_omschrijving = 'HEYDAY FM-er'
 WHERE fac_groep_upper = 'AAFM FM-ER'
   AND NOT EXISTS (SELECT fac_groep_key FROM fac_groep WHERE fac_groep_upper = 'HEYDAY FM-ER');

INSERT INTO prs_bedrijf (prs_bedrijf_naam, prs_bedrijf_intern)
SELECT 'HEYDAY Facility Management', 1 FROM DUAL
 WHERE NOT EXISTS (SELECT prs_bedrijf_key FROM prs_bedrijf WHERE prs_bedrijf_naam_upper = 'HEYDAY FACILITY MANAGEMENT');

INSERT INTO prs_afdeling (prs_afdeling_naam, prs_afdeling_omschrijving, prs_bedrijf_key)
SELECT 'HEYDAY', 'HEYDAY Facility Management', prs_bedrijf_key
  FROM prs_bedrijf
 WHERE     prs_bedrijf_naam_upper = 'HEYDAY FACILITY MANAGEMENT'
       AND NOT EXISTS (SELECT prs_afdeling_key FROM prs_afdeling WHERE prs_afdeling_upper = 'HEYDAY');

-- Verwijderd Share and Meet notificatiejob
DELETE fac_notificatie_job WHERE UPPER(fac_notificatie_job_view) = 'AAXX_V_NOTI_SM_RECEPTIE';

DROP VIEW AAXX_V_NOTI_SM_RECEPTIE;


------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 0); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile